package com.dcit.danger.service;

import java.util.List;
import java.util.Map;

import com.dcit.danger.model.EnterpriseGoodsInfo;
import com.dcit.danger.model.EnterpriseGoodsInfoExample;

public interface EnterpriseGoodsService {
	
	long countByExample(EnterpriseGoodsInfoExample example);

    List<Map<Object, Object>> countByEnterprise();

    int deleteByExample(EnterpriseGoodsInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(EnterpriseGoodsInfo record);

    int insertSelective(EnterpriseGoodsInfo record);

    List<EnterpriseGoodsInfo> selectByExample(EnterpriseGoodsInfoExample example);

    EnterpriseGoodsInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(EnterpriseGoodsInfo record, EnterpriseGoodsInfoExample example);

    int updateByExample(EnterpriseGoodsInfo record, EnterpriseGoodsInfoExample example);

    int updateByPrimaryKeySelective(EnterpriseGoodsInfo record);

    int updateByPrimaryKey(EnterpriseGoodsInfo record);

}
